PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List invoices GETCreate an invoice POSTGet an invoice GETUpdate a draft invoice PATCHDelete a draft invoice DELETEFinalize an invoice POSTMark an invoice paid POST
Invoices

Finalize an invoice

POST
/invoices/{invoiceId}/finalize

Authorization

x-api-key<token>

In: header

Path Parameters

invoiceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/invoices/string/finalize" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "invoiceNumber": "string",    "title": "string",    "memo": "string",    "amount": 0,    "currency": "string",    "status": "draft",    "issuedAt": "2019-08-24T14:15:22Z",    "dueAt": "2019-08-24T14:15:22Z",    "paidAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "customer": {      "id": "string",      "name": "string",      "email": "string",      "imageObjectKey": "string"    },    "items": [      {        "id": "string",        "name": "string",        "description": "string",        "quantity": 0,        "unitPrice": 0      }    ],    "taxes": [      {        "id": "string",        "name": "string",        "percentage": 0      }    ]  }}

Delete a draft invoice DELETE

Previous Page

Mark an invoice paid POST

Next Page

dueAt?string
Formatdate-time